import { ChangeEvent, ReactNode } from 'react';

interface IInputProps {
    type: 'text' | 'number' | 'email' | 'password';
    label?: string;
    value: string;
    name?: string;
    placeholder?: string;
    isError?: boolean;
    errorText?: string;
    isInfo?: boolean;
    infoText?: string;
    isDisabled?: boolean;
    onChange: (e: ChangeEvent<HTMLInputElement>) => void;
    icon?: ReactNode;
    isErrorIcon?: boolean;
    setValue: (value: string) => void;
}
declare const Input: import('react').NamedExoticComponent<IInputProps>;
export default Input;
